## statsmodels 0.14.5%2Bdfsg

=== debian/control ===
Source: statsmodels
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Diane Trout <diane@ghic.org>,
           Rebecca N. Palmer <rebecca_palmer@zoho.com>
Section: python
Priority: optional
Build-Depends: cython3 (>= 3.0.10~),
               debhelper-compat (= 13),
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-colorama <!nocheck> <!nodoc>,
               python3-cvxopt <!nocheck> <!nodoc>,
               python3-dateutil <!nocheck> <!nodoc>,
               python3-jinja2 <!nocheck> <!nodoc>,
               python3-joblib <!nocheck> <!nodoc>,
               python3-matplotlib,
               python3-numpy (>= 1:2.0.0~),
               python3-packaging (>= 21.3~),
               python3-pandas (>= 1.4~),
               python3-patsy (>= 0.5.6~) <!nocheck> <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-forked <!nocheck>,
               python3-scipy (>= 1.13~),
               python3-setuptools (>= 69.0.2~),
               python3-setuptools-scm (>= 8~),
               python3-tk <!nocheck> <!nodoc>
Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                     python3-nbconvert <!nodoc>,
                     python3-nbsphinx <!nodoc>,
                     python3-notebook <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python3-pickleshare <!nodoc>,
                     python3-seaborn <!nodoc>,
                     python3-simplegeneric <!nodoc>,
                     python3-sphinx <!nodoc>,
                     python3-yaml <!nodoc>,
                     python3-yapf <!nodoc>,
                     jdupes <!nodoc>,
# for intersphinx inventories
                     python-matplotlib-doc <!nodoc>,
                     python-numpy-doc <!nodoc>,
                     python-scipy-doc <!nodoc>,
                     python-pandas-doc <!nodoc>,
                     python3-doc <!nodoc>,
# for the comparing-with-R examples, and example datasets
                     r-base-core <!nodoc>,
                     python3-rpy2 <!nodoc>,
                     r-cran-cardata <!nodoc>,
                     r-cran-geepack <!nodoc>,
                     r-cran-guerry <!nodoc>,
                     r-cran-lme4 <!nodoc>,
                     r-cran-mass <!nodoc>,
                     r-cran-robustbase <!nodoc>,
                     r-cran-vcd <!nodoc>,
                     pandoc <!nodoc>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
Homepage: https://www.statsmodels.org

Package: python-statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-requirejs,
         libjs-mathjax
Suggests: python3-statsmodels,
          python3-doc,
          python-numpy-doc,
          python-patsy-doc,
          python-pandas-doc,
          python-scipy-doc
Breaks: python-scikits-statsmodels-doc,
        python-scikits.statsmodels-doc,
        python-statsmodels (<< 0.9.0-3~)
Replaces: python-scikits-statsmodels-doc,
          python-scikits.statsmodels-doc,
          python-statsmodels (<< 0.9.0-3~)
Description: documentation and examples for statsmodels
 Statsmodels Python modules are providing classes and functions for
 the estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for several distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.
 .
 This package contains HTML documentation and example scripts for
 python-statsmodels.

Package: python3-statsmodels
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
# packages built with numpy 2.x _should_ work in numpy 1.x, but why risk that when in Debian there's practically no benefit
         python3-numpy (>= 1:2.0.0~),
         python3-scipy (>= 1.13~),
         python3-statsmodels-lib (>= ${source:Version}),
         python3-patsy (>= 0.5.6~),
         python3-pandas (>= 1.4~)
Recommends: python3-matplotlib,
            python3-joblib,
            python3-colorama,
            python3-cvxopt
Suggests: python-statsmodels-doc
Provides: ${python3:Provides}
Description: Python3 module for the estimation of statistical models
 statsmodels Python3 module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for several distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python3-statsmodels-lib
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-numpy
Description: Python3 low-level implementations and bindings for statsmodels
 Statsmodels is a Python module for the estimation of statistical models.
 .
 This package contains internal libraries for python3-statsmodels.  Users
 should not need to install it directly.
