=== debian/changelog ===
statsmodels (0.14.5+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1109960) Refresh patches.
  * Update d/copyright.
  * Remove obsolete README.source.
  * Tighten (Build-)Depends versions.
  * Re-add intersphinx Build-Depends.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Use pybuild-plugin-pyproject.
  * Simplify d/rules, list deleted files, use more modern dh style
    (dh-sequence*, execute_before/after*).
  * Docs: build-depend on pickleshare for bookmarks,
    build .py examples from .ipynb with python3 shebang.
  * Docs reproducibility: strip ipykernel IDs and more times,
    strip before indexing, fix another random seed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 10 Aug 2025 14:13:47 +0100
