=== debian/watch ===
version=4
opts="dversionmangle=s/.dfsg[0-9]*$//,uversionmangle=s/rc/~rc/g;s/dev/~dev/g,filenamemangle=s/.*\/(.*)/statsmodels-$1/,repacksuffix=+dfsg" \
 https://github.com/statsmodels/statsmodels/tags .*/v?(\d[\d.]+)\.tar\.gz
