## statsmodels 0.14.6+dfsg

=== debian/changelog ===
statsmodels (0.14.6+dfsg-1+rpi1) forky-staging; urgency=medium

  [changes brought forward from 0.10.2-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 04 Feb 2020 00:34:03 +0000]
  * Disable testsuite.

  [changes introduced in 0.11.1-2+rpi1 by Peter Michael Green]
  * Disable documentation build due to timeouts.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 15 Jan 2026 06:29:28 +0000

statsmodels (0.14.6+dfsg-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Salsa CI: disable mostly-useless debrebuild.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 18 Dec 2025 07:37:30 +0000
