=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	: # 0.9.0 including notebooks step: in glm_weights.ipynb
 	: # 0.14.5 sphinx-build only: in reading sources, last line output is statsmodels.functional.graphics.hdrboxplot
 	mkdir -p build/html
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+ifeq (docdisabled,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	python3 debian/datasets/prepopulate_cache.py
 	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 python3 tools/export_notebooks_to_python.py
 	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
@@ -101,7 +101,7 @@
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (testsuitedisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
 	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
 	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
